Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456289 - hp deskjet f2180, failed to scan
Summary: hp deskjet f2180, failed to scan
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 16:46 UTC by Teguh DC
Modified: 2008-07-24 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 16:31:12 UTC


Attachments (Terms of Use)
/etc/sane.d/dll.conf (deleted)
2008-07-23 19:13 UTC, Teguh DC
no flags Details
ls -l /dev/usb* (deleted)
2008-07-23 19:14 UTC, Teguh DC
no flags Details
lshal (deleted)
2008-07-23 19:14 UTC, Teguh DC
no flags Details
lsusb (deleted)
2008-07-23 19:15 UTC, Teguh DC
no flags Details
scanimage -L -v (deleted)
2008-07-23 19:15 UTC, Teguh DC
no flags Details

Description Teguh DC 2008-07-22 16:46:00 UTC
Description of problem:
my all in one printer, hp deskjet f2180 failed to scan. Previosly with fedora 7
is running out-of-the-box.

Version-Release number of selected component (if applicable):
sane-backends-libs-1.0.19-10.fc9.x86_64
xsane-gimp-0.995-3.fc9.x86_64
sane-backends-1.0.19-10.fc9.x86_64
sane-frontends-1.0.14-4.fc9.x86_64
xsane-0.995-3.fc9.x86_64
hpijs-2.8.2-2.fc9.x86_64
kernel-2.6.25.10-86.fc9.x86_64
hal-0.5.11-2.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. plug in the usb
2. run 'sane-find-scanner'
3. run 'scanimage -L'
or
4. run 'xsane'
  
Actual results:
No scanners were identified (scanimage) 
no device available (xsane)

Expected results:
scanner running well

Additional info:
info from dmesg:
usb 2-1: New USB device found, idVendor=03f0, idProduct=7d04
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1: Product: Deskjet F2100 series
usb 2-1: Manufacturer: HP
usb 2-1: SerialNumber: CN8194Q5200505
usblp0: USB Bidirectional printer dev 2 if 1 alt 0 proto 2 vid 0x03F0 pid 0x7D04
usbcore: registered new interface driver usblp
ppdev: user-space parallel port driver
ppdev0: no associated port!
ppdev0: no associated port!

[root@ndut ~]# sane-find-scanner -q
found USB scanner (vendor=0x12d1, product=0x1001) at libusb:005:002
found USB scanner (vendor=0x0483 [STMicroelectronics], product=0x2016 [Biometric
Coprocessor]) at libusb:006:003
found USB scanner (vendor=0x03f0 [HP], product=0x7d04 [Deskjet F2100 series]) at
libusb:002:002

[root@ndut ~]# scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

Comment 1 Nils Philippsen 2008-07-23 07:17:00 UTC
What's the output of the following commands (please attach text files if the
output is too long, e.g. with lshal)?

1) "lsusb"
2) "ls -l /dev/usb*"
3) "lshal"
4) "scanimage -L -v"

Please attach /etc/sane.d/dll.conf to this ticket as well. Thanks.

Comment 2 Teguh DC 2008-07-23 19:13:26 UTC
Created attachment 312508 [details]
/etc/sane.d/dll.conf

Comment 3 Teguh DC 2008-07-23 19:14:00 UTC
Created attachment 312509 [details]
ls -l /dev/usb*

Comment 4 Teguh DC 2008-07-23 19:14:34 UTC
Created attachment 312510 [details]
lshal

Comment 5 Teguh DC 2008-07-23 19:15:07 UTC
Created attachment 312512 [details]
lsusb

Comment 6 Teguh DC 2008-07-23 19:15:31 UTC
Created attachment 312513 [details]
scanimage -L -v

Comment 7 Nils Philippsen 2008-07-24 08:21:03 UTC
You should install the libsane-hpaio package which is needed for correct
operation of this device. Please report back whether that works.

Comment 8 Teguh DC 2008-07-24 16:31:12 UTC
Ahh, you right. the device is working after i install libsane-hpaio. so, this is
not bug, but it is better if there is some info about this.

thanks Philip


Note You need to log in before you can comment on or make changes to this bug.